<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.14"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>LO21: Simulateur1D::const_iterator Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LO21
   &#160;<span id="projectnumber">0.1</span>
   </div>
   <div id="projectbrief">automates</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.14 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="class_simulateur1_d.html">Simulateur1D</a></li><li class="navelem"><a class="el" href="class_simulateur1_d_1_1const__iterator.html">const_iterator</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#friends">Friends</a> &#124;
<a href="class_simulateur1_d_1_1const__iterator-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Simulateur1D::const_iterator Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Classe qui permet de parcourir les objets <a class="el" href="class_etat1_d.html" title="Classe fille de Etat. Correspond a un etat pour les automates une dimension. ">Etat1D</a> (constants) tout en respectant le principe d'encapsulation.  
 <a href="class_simulateur1_d_1_1const__iterator.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="simulateur_8h_source.html">simulateur.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a31d67a231f72aebdf41357a633514b35"><td class="memItemLeft" align="right" valign="top"><a id="a31d67a231f72aebdf41357a633514b35"></a>
<a class="el" href="class_simulateur1_d_1_1const__iterator.html">const_iterator</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator++</b> ()</td></tr>
<tr class="separator:a31d67a231f72aebdf41357a633514b35"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af1568b9c8e5429ede4faecb74a0d20e6"><td class="memItemLeft" align="right" valign="top"><a id="af1568b9c8e5429ede4faecb74a0d20e6"></a>
const <a class="el" href="class_etat1_d.html">Etat1D</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator*</b> () const</td></tr>
<tr class="separator:af1568b9c8e5429ede4faecb74a0d20e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a017e48a246d20ad974e3ba93db421572"><td class="memItemLeft" align="right" valign="top"><a id="a017e48a246d20ad974e3ba93db421572"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>operator!=</b> (<a class="el" href="class_simulateur1_d_1_1const__iterator.html">const_iterator</a> it) const</td></tr>
<tr class="separator:a017e48a246d20ad974e3ba93db421572"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="friends"></a>
Friends</h2></td></tr>
<tr class="memitem:ada9e21418e26909c7713390927bcbf96"><td class="memItemLeft" align="right" valign="top"><a id="ada9e21418e26909c7713390927bcbf96"></a>
class&#160;</td><td class="memItemRight" valign="bottom"><b>Simulateur1D</b></td></tr>
<tr class="separator:ada9e21418e26909c7713390927bcbf96"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Classe qui permet de parcourir les objets <a class="el" href="class_etat1_d.html" title="Classe fille de Etat. Correspond a un etat pour les automates une dimension. ">Etat1D</a> (constants) tout en respectant le principe d'encapsulation. </p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="simulateur_8h_source.html">simulateur.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.14
</small></address>
</body>
</html>
